S2U2 Change Log
===============

Changes of v1.62
================
- the notification pop-up can now be dismissed (only on S2U2) by tapping anywhere a while outside the pop-up area;
 To redisplay it, tap the corresponding notification icon.
- added option to turn on/off the individual preview of SMS, MMS & Email.
 Please note that since I have no where to test the MMS (my device treats it as SMS), so it may not work.
- the "slide to view" has extended to all notification icons.
 e.g. when a missed-call icon shown; tap the icon & it'll be highlighted; slide the slider will open the call history.
- added option to custom the applications opened by "slide to view" by editing the registry:
 They are under HKEY_CURRENT_USER\Software\A_C\S2U2\S2VEXE, named 0File, 0Parameters, 1File, 1Parameters,... 8File, 8Parameters.
 0 - missed call; 1 - voice mail; 2 - SMS; 3 - MMS; 4 - email;
 5 - Flexmail; 6 - WL Messenger; 7 - reminder; 8 - active task.
 e.g. when there is a missed call, open iContact's call history instead of the system call history,
 edit 0File to \Program Files\iContact\iContact.exe;
 and 0Parameters to -recents (the path may be different on different language device & where it's installed).
- added option to disable pressing the power button to end an incoming call.
- fixed a potential memory leak introduced in v1.60/1.61.
- fixed the incomplete backup created when saving the settings in S2U2 Settings.
- fixed the occasional problem that the system hangs on the CallerID screen.
- a few minor bugs fixed.

Changes of v1.61
================
- fixed the system alarm went off automatically in v1.60.
- removed the auto-turn-on "Don't suspend power" in v1.60 when there is data connection; as it caused power drain.

Changes of v1.60
================
- added option to lock most of the system notifications (alarm, reminder, sms/mms & email notice) when the device is locked.
 To dismiss the notification on S2U2 (not on the system), either press the Power button or wait for the backlight turns off.
 There are also options to auto-dismiss the notifications on the system & to show a preview of the SMS/email when locked.
 When a notification is shown on S2U2, unlock the device ("slide to view") will open the corresponding application.
- added option to delay the email preview.
 Set a longer delay if your device alerts the new email notification much later than the email preview.
- added a command switch -password for iLock2 to trigger the password lock immediately if the password is set.
 Run iLock2.exe -password will turn on the password lock immediately no matter how long the "require password" is set.
 Append the iLock2 startup link with -password will trigger the password lock immediately after soft-reset.
 However, even with this option added, it does not mean S2U2 is a highly secure password lock.
- added the back button in the password entry screen; it shares the same position of the clear button.
- added a small-style clock - "clockS", included in the clock pack file.
- added option to set up a 2nd clock (both format & clock path).
 To switch between the 1st & 2nd clock, tap the clock area.
 e.g. switch between digital (clock) & analog (clockA); or between normal & small (clockS).
 To not to use the 2nd clock, leave the path of the 2nd clock to blank.
- added option to set the Vibration LED.
 If S2U2 does not vibrate even "Haptic Feedback" is turned on, try to change the value of the Vibration LED;
 then turn on or off the "Haptic Feedback" to test it. e.g. the Vibration LED of Omnia is 11.
- added option to show Owner's Information (name & phone) at the bottom.
- added option to hide All-Day appointment.
- added option to do not lock the TouchFLO 3D.
 Enable it if the TouchFLO 3D restarts/quits unexpectedly when S2U2 is running, but the Home key will not be locked as before.
- change the Wallpaper settings in the registry will trigger S2U2 to change it's wallpaper immediately.
- when save the settings by S2U2 Settings, a setting backup file "S2U2 Settings.reg" will be saved.
- removed option "Power Save" as the power leak problem is found & fixed.
 Please read the FAQ if your device still has power leak when running this version.
- removed option "Don't double check Backlight" as it does not work on some devices.
- removed the command switch -refresh of iLock2 as it does not work in some cases. (actually, it'd been removed since v1.5x)
- fixed the occasional problem that the system hangs on the CallerID screen after rejected an incoming call.
- fixed the occasional problem that the unread count of Flexmail cannot be shown.
- some minor bugs fixed.

Changes of v1.52
================
- added option to determine how often the password is required.
- added an unread icon to show the number of pending system notifications (e.g. alarm, reminder).
- added option to turn off the topmost curtain (above the top curtain) separately.
- fixed the v1.50 issue of starting S2P when Bluetooth headset was connected.
- fixed the v1.50 issue that S2P control might disappear after pressing any control key.
- fixed the v1.50 issue that Pocket Weather was not shown.
- fixed the v1.50 issue of occasionally high CPU usage during idle.
- save more power than the old version when the device is sleeping.
- some graphics changed.
- a few minor bugs fixed.
- included wallpaper files for WQVGA & WVGA devices.

Changes of v1.50d
=================
- fixed the bugs (screen freezed; clockD shifted; keys not locked) introduced in v1.50

Changes of v1.50
================
- added animated transitions.
- added Password lock, set/change the password via S2U2 Settings.
 But please don't treat it as a highly secure system lock.
 However, if you want S2U2 locks quicker after soft-reset,
 replace the iLock2.lnk in \Windows\StartUp with S2U2.lnk (in \Windows\Start Menu\Programs\S2U2).
- added option to ask to send a busy SMS after rejected an incoming call.
 The default content of the busy SMS is stored at lang.ini (make sure the lang.ini is saved in UNICODE format).
- added option to hide S2P control & album cover even S2P is running.
- added options (AppointmentLine & AlignAppointment) to change the format the Appointment info shown.
- optionally to display the operator's logo.
 The logo filename must exactly match with the operator's name with PNG extension (e.g. orange.png);
 it must be placed under the folder GFX\Operator;
 For QVGA device, the logo has to be smaller than 16 pixels high; while for VGA, it has to be smaller than 32 pixels high.
 Since there are a lot of operators in the world, only a few samples are included in the installation.
 To switch back to display operator in text, delete the Operator folder & restart iLock2.
- added optional Haptic Feedback, but it may not work on some devices.
- added a flight mode icon.
- added to show the caller number property when the system found it.
- added a second-hand to analog clock.
 To turn it on, the clock folder must have cs0.png ~ cs14.png.
 To turn it off, remove cs0.png ~ cs14.png from the clock folder.
- added a Diamond-style clock - "clockD", but no flipping animation).
 Both new clock styles are included in the S2U2ClockPack.rar.
- removed options "BlankStart" & "SafeMode" which caused confusion & malfunction in the past.
- fixed the Home key lock of Touch Diamond/Pro/HD.
- fixed the occasional problem that under Power Save mode,
 the device behaved weirdly when another program running in the background (again).
- "NoPowerSuspend" now works under Power Save mode as well.
 But not sure will the power be saved anymore as they are conflicting each other.
- fixed the occasional problem that the system hang at the CallerID screen.
- added CallerID support to Turkish device.
- hide "Top Curtain" will also hide the topmost grey curtain.
- added an Excel file to descrip the detail settings of S2U2.
- some graphics changed.
- some minor bugs fixed.

Changes of v1.45
================
- lock the Home key of Touch Diamond/Pro/HD.
- fixed the occasional problem that the date of an appointment was shown incorrectly.
- fixed the occasional problem that under Power Safe mode,
 the device behaved weirdly when another program running in the background (again).
- a few minor bugs fixed.

Changes of v1.44
================
- added one more choice when the headphone is disconnected, close both S2P & Bluetooth.
- fixed the occasional problem that the same appointment was shown twice.
- fixed the occasional double lock problem.
- fixed the occasional problem that under Power Safe mode,
 the device behaved weirdly when another program running in the background.
- fixed the occasional problem that the temperature was always shown as zero.
- some minor bugs fixed.

Changes of v1.42
================
- added option "Vibrate On Connect" to vibrate the phone shortly when a call is connected.
- fixed the occasional problem that the system is locked after an incoming call is connected.

Changes of v1.41
================
- added option "Slider Inertia" to tune the inertia of the slide button.
- fixed the occasional problem that the system is locked after dialling out (again).
- fixed the occasional problem that the system will be shut down when the screen is blanked during a phone call.

Changes of v1.40
================
- added option "Power Save Mode"; default is on (1). It aims to save the power:
1. by stopping all S2U2's activities when the device is turned off (including when the screen is off only);
2. by not interfering the power management which is already done by the OS;
3. suggest users to try it with the default values of "Safe Mode" (0) & "Don't Suspend Power" (0);
4. suggest to soft-reset the device after the installation of this version or changed this setting.
(However, if it's found S2U2 consumes more power than before, suggest to disable "Power Save" (0).
 Then S2U2 would run in the same way as v1.3x)
- added option "Digital Battery" to display the remaining battery in percentage.
- added "inertia feeling" to the slide button.
- fixed the occasional problem introduced in v1.3x that the clock could not be displayed.
- fixed the occasional problem that the system is locked after dialling out.
- some minor bugs fixed.

Changes of v1.37
================
- added support to PocketWeather v2.1 (thanks Adrian).
- fixed the volume keys not functional during a phone call if S2U2's Volume Control is enable.
- fixed the occasional problem that the system alarm did not work.
- fixed the occasional problem that the system CallerID would not be shown even S2U2's CallerID is disable.
- a few minor bugs fixed.

Changes of v1.36
================
- added option "Unlock to Home screen".
- added option "Ignore screen rotation", i.e. if on, the orientation of S2U2 will not be affected by the system.
- changed option "UnlockOnAC" to "ActionOnAC" - lock/unlock when external power is connected.
- extended the range of "WakeupDelayMS" to 4000ms.
- made the "Change Wallpaper Randomly" more random; but still, it's fake.
- fixed the display displacement problem on devices which have G-Sensor.
- fixed the occasional problem that the wallpaper will not change if a folder is assigned.
- improved the compatibility of DirectDraw (fixed screen not update/blank).
- reduced RAM usage a little.
- a few minor bugs fixed.

Changes of v1.35
================
- fixed the problem when start-up on Landscape mode on some devices.
- fixed the problem when changing orientation on some devices.
- fixed the occasional problem that the device is not locked when power off.
- improved the compatibility of DirectDraw.
- a few minor bugs fixed.

Changes of v1.33
================
- added option to automatically close S2P when the headphone (either Bluetooth or wired) is disconnected.
- added optional nopic.png to differentiate no pic caller & unknown caller (unknown.png).
- fixed the display displacement problem on Smartphone & WVGA devices.
- fixed the problem when the lang.ini was too big, some translation phases would be omitted.
- a few minor bugs fixed.

Changes of v1.32
================
- fixed the issue of Manila 3D Weather.
(if it still not works, in the Weather tab, try to add one more city & update;
 if the weather shows in wrong unit, try to change the unit setting in the Weather tab & then change it back.)
- fixed a few weather display problem.
- when CallerID is set to full-screen, unknown.png will be displayed as its own size.
- a few minor bugs fixed.

Changes of v1.30
================
- added a new display mode - GDI (removed DirectDraw registry key).
 If your device has problem (e.g. no display) with RawBuffer or DirectDraw, try this.
 But on some old devices or VGA devices, it may be very slow.
- added optional "Slide to End".
- added weather support to Manila 2D & 3D.
- added option to delay "Blank screen on Talk".
- added option to unlock when external power is connected.
- added option to automatically run S2P when the headphone (either Bluetooth or wired) is connected.
- added option to unlock when the stylus is pulled out.
- added option to lock when the stylus is put back.
- added option to disable the bottom curtain.
- it now locks the Diamond's Home button (but in another way).
- all graphics support high resolution, i.e. truely VGA.
- changed some graphics elements (e.g. a new battery connector).
- fixed the bug that occasional double lock occurred in v1.22.
- moved the S2UText & S2AText settings from registry to lang.ini (as it's more related to language).
- reduced the memory usage.
- a more logical S2U2 Settings.
- some minor bugs fixed.

Changes of v1.22
================
- extended the maximum no. of ShowAppointment to 6.
- added option to change the no. of next days of appointments to be shown.
- added option to change the date format of appointments.
- tap the appointment details to temporarily reduce the no. of appoinments shown to 1; tap it again to restore.
- added option to show the full-screen battery.
- added the current connection system icon on the top bar.
- added, only for Diamond, unlock when the stylus is pulled out.
- fixed the bug that ShowAppointment could not display any appointment on some devices (again).
- fixed the bug that occasional power drain might occur on some devices (again).
- fixed the issue that S2U2 will not be on focus when device wakes up (again).
- some minor bugs fixed.

Changes of v1.21
================
- fixed the bug that ShowAppointment could not display any appointment on some devices again.
(But one user reported that the appointments will be displayed as if they are one day later.
 As I cannot reproduce the error, no solution yet.)
- fixed the issue that S2U2 will not be on focus when device wakes up.
- some minor bugs fixed.

Changes of v1.20
================
- added the option to lock the device when the LCD is blanked (e.g. by S2P or other music app).
- fixed the bug that the OffLCD did not work on some devices.
- fixed the bug that occasional power drain might occur on some devices when ActiveSync is running in the background.
- fixed the bug that ShowAppointment could not display any appointment on some devices.
- extended the ShowAppointment to display the next week appointments.
- fixed the bug that the registry values looked messy.
(To make it works, after the installation of this version, please run the S2U2 Settings & save the settings once.)
- some minor bugs fixed.

Changes of v1.18
================
- rewrote the show appointments code which fixed some bugs & requires lesser CPU time.
- further optimized the screen rendering speed.
- when the S2P control is activated, appointments info will be temporarily hidden.
- removed the lock when S2P (or other music app) blanks the screen.
- upgraded some graphics (but still not all) to true VGA for the VGA version.
- some minor bugs fixed.

Changes of v1.16
================
- fixed the update problem of multiple appointments.
- removed "ReLockWaitMS" which caused some weird problems, i.e. no more relock.
- changed the default value of "NoKeyBoardHook" to 1; it'll set to 1 as well when the "VolumeControl" is 0.
- fixed the S2U2 Settings that could not save/change the "Volume Control" & "Keyboard Hook" settings.
- some minor bugs fixed.

Changes of v1.14 (hotfix)
================
- fixed the misbehaviour (lock failure; improper CallerID screen) when there is a data connection.
- fixed the bug of showing events of day after tomorrow as tomorrow.

Changes of v1.13
================
- fixed the bug when there is a tomorrow all-day event.
- fixed the bug that change orientation when there is an incoming call.
- fixed the transparency background for 320x320 device.

Changes of v1.12
================
- fixed the blank screen problem introduced in v1.10.
- enlarged the responsing area of the slide button.

Changes of v1.10
================
- added option to replace the system Volume Control; & optional transparent background.
 (it's by default maps to the Volume Up/Down keys; to run it on other keys, map to a .lnk file with command -vc,
 e.g. "\program files\s2u2\s2u2.exe" -vc, but S2U2 must be running in the background)
 (thanks ValeraVi & MarcLandis for their help)
- added option to lock the hardware keys further by "Keyboard Hook";
 useful to those devices that come with some keys that cannot be locked in the previous version;
 but may conflict with other key remapping software;
 When it's disabled, the Volume Up/Down keys will not be mapped with the new Volume Control.
- in pair with "Keyboard Hook", use ReLockWaitMS to set how long (in ms) it will wait & relock again.
- added option not to double check the Backlight;
 useful to those devices that the "IdleStart" does not function in the previous version.
- reworked the CallerID function; if your device does not work with the previous version, try this.
- added option to have "slide to answer" always on or only when locked.
- fixed the key problem with CallerID when a call waiting is incoming.
- added option to display a maximum of 5 today/tomorrow's appointments.
- added option not to call the running S2P when unlock.
- added option not to display any unread alert. How? Delete "notice.png" under the \GFX folder; restart iLock2.
- fixed the scrolling bug in S2U2 Settings.
- separate CAB files for QVGA(low-res) & VGA(high-res) devices.
- some minor bugs fixed.
- updated the Configuration & FAQs sections of the README.TXT.

Changes of v1.05
- fixed the bug introduced in v1.02 that the clock did not update occasionally on device wake up;
 the idle time out occasionally malfunction; and the wallpaper did not change occasionally.
- the total unread count for FlexMail now reads to a maximum of 10 storages.
- fixed the bug that displayed night icon for Spb Weather.
- fixed the bug that some devices could not run probably on landscape mode.
- added support to RealVGA.
- added support to WVGA & WQVGA.
- some minor bugs fixed.

Changes of v1.03
- added unread count for Windows Live Messenger.
- fixed the bug introduced in v1.02 that Task count is always displayed no matter what setting.

Changes of v1.02
- added option "S2UText" to customize the text "slide to unlock".
- added option "S2AText" to customize the text "slide to answer".
- added option "UnlockSound" (must in full path) to play a .WAV file after unlock.
- added option "LockSound" (must in full path) to play a .WAV file when manually lock the device.
- added option "UnlockRunEXE" (must in full path) to execute an application after unlock.
- added option "UnlockOnRotate" to unlock after the screen is rotated; default is 0 (disabled).
 It's useful for device with slide-out keyboard. Set to 1 will unlock it when the keyboard is slided out
 (assume the screen will be rotated as well).
- added option "S2AAnsKey" to enable the ANSWER key even "slide to answer" is activated; default is 0 (disabled).
- added option "WakeupDelayMS" to add a delay (in ms) to start S2U2 when the device is woke up; default is 100ms.
 For SPB Mobile Shell user, a longer delay time is required, e.g. 300ms to let the S2U2 to lock the Now screen.
- added unread count for FlexMail.
- the DPAD Up/Down can only used to mute the incoming ring/vibration when DpadOn is enabled.
- the closing message of iLock2.exe is now self-closing in 3 seconds.
- some minor bugs fixed.

Changes of v1.01
- added option "ExceptionEXEisFG" -
 1 means the exceptional applications list (ExceptionEXE0-9) will be checked against the foreground application only;
 0 means the exceptional applications list will be checked not only the foreground application but also the background applications.
- added a charging animation when the device is charging; to disable it, delete the battery1.png under \gfx\.
- added DPAD Up/Down (besides the Volume Up/Down) to mute the incoming ring/vibration.
- if S2P is running, unlock S2U2 will invoke S2P.
- some fine tuning done when interacting with S2P.
- some minor bugs fixed.
- updated the Configuration & FAQs sections of the README.TXT.

Changes of v1.00
- integration with S2P (v0.38 or later): When S2P is running, the title & album art of the current playback will be displayed on S2U2.
 Tapping the screen will call up the music control buttions.
 If DPAD is enabled, the hardware keys (DPAD & volume up/down) will also be functional as on S2P.
- when "Missing Call" is displayed, drag this phase from left to right will dismiss the missed call.
- added one more syntax for UserWeather:
"icon|index|string" where "icon" is C (custom), "index" is the weather icon & "string" will be the message displayed underneath the weather icon.
 e.g. "C|50|Rainning" means the \gfx\weather\50.png icon & "Rainning" will be shown.
- some minor bugs fixed.

Changes of v0.99p
- added support to S2P (Slide2Play) - does not suspend the system when S2P is running.
- fixed a possible system hang up when an incoming call arrives after the device has been sleept for a long while.
- some minor bugs fixed.

Changes of v0.99c
- fixed the memory leak introduced by v0.99.
- in sync with S2V v0.31.

Changes of v0.99
- added the connection icon.
- added a default unknown caller pic (to disable it, delete the unknown.png under \GFX\).
- the ExceptionEXE0-9 only effective when the exception application is running in the foreground.
- larger weather icon can be used.
- DPAD will be enabled when it's running on a Smartphone.
- better memory management.
- in sync with S2V v0.30.
- some minor bugs fixed.

Changes of v0.98
- fixed the malfunction of ExceptionEXE4-9 again.
- fixed the Landscape blank screen issue on some devices.
- fixed some graphics displacements for VGA devices.
- in sync with S2V v0.20.
- some minor bugs fixed.

Changes of v0.97
- speeded up the GIF loading a little.
- fixed the issue with Pocket Weather 2.0.
- fixed the malfunction of ExceptionEXE4-9.
- fixed the "unknown" caller issue on some devices.
- fixed the issue with devices that have Landscape orientation as default.
- changed the "Blank Screen" codes with higher compatibility.
- added pressing End key to close "s2u2 Settings".
- changed the scrolling hehaviour of "s2u2 Settings" a little.
- some bugs fixed.

Changes of v0.96
- added option GifEndless to allow endless playback of GIF wallpaper (be warned to charge your device).
- added option not to override the animation speed of GIF wallpaper.
- hard coded some devices not to use DirectDraw. If your device's screen goes black after DirectDraw is enabled, follow these steps:
1. pretend there is a slider on the screen; try to slide to unlock
2. stop iLock2
3. there is a iLock2.log file created under the S2U2 installed path (e.g. \Program Files\S2U2\);
 post it to the xda forum, I'll black list this device not to use DirectDraw in the next release
4. edit the registry; go to \HKEY_CURRENT_USER\Software\A_C\S2U2; set DirectDraw to 0
5. run iLock2 & S2U2

- fixed the GIF playback will continue after the device wakes up.
- fixed the issue of showing blurred over-sized Wallpapers.
- fixed when S2A is enabled, the Answer key was not locked on some devices.
- fixed sometimes the weather info would not be updated for HTC Weather.
- changed some wordings of "s2u2 Settings.exe".
- some bugs fixed.

Changes of v0.95
- added GIF format support to Wallpapers; with option GifSpeed to control the animation speed.
- added option to select a directory for S2U2 to change the wallpapers automatically;
 with option to control the changing period & change them randomly.
- added support to display over-sized Wallpapers.
- added option to change the font of the Clock (clock\, clockH\ or clockHS\).
- added option to display an Analog Clock (clockA\).
- added ARGB PNG format support to all graphics files.
- added ShowWeather to retrieve today's weather forecast from other weather applications.
 For UserWeather, you have to manually update the registry key UserWeather (STRING) under \HKEY_CURRENT_USER\Software\A_C\S2U2.
 The format is "icon|index|high temp|low temp" where icon is S, P or W.
- added SIM card support to CallerID.
- added option S2AEndKey to enable/disable the End key when S2A is activated.
- added option NoSoftKey to hide all soft buttons. But how to UNLOCK? Press the RIGHT-DPAD.
- added option TopCurtain to enable/disable the display of the topbar.png.
- added the BT headset status icon.
- added an Exceptional applications list that when these applications are running, S2U2 will not start automatically.
 (Edit the Registry, under \HKEY_CURRENT_USER\Software\A_C\S2U2, add a key ExceptionEXE0 (STRING) with the name of the application
 (e.g. iexplore.exe). A total of 10 (0-9) ExceptionEXE can be added. Then restart iLock2.)
- fixed the issue that DirectDraw could not be used when the device is in Landscape.
- fixed the issue when S2A is enable, the BT headset button did not work.
- fixed the issue when "Password/Pin Lock" or "Owner Information" are enabled.
- changed some wordings of "s2u2 Settings.exe"
- some bugs fixed

v0.86 (20-11-2007)
- when CallerID is enabled & the screen is locked, after an incoming call, the call elapsed time will be displayed for 5 seconds
- added option PhoneNoFormat to display the CallerID No in user-defined format
- added option DirectDraw to let S2U2 & Settings run in DirectDraw mode for those devices that cannot run S2U2 probably.
 But there is still a limitation: they cannot be started in Landscape mode. 
 1. make sure your device is in Portrait mode
 2. create a shortcut for "s2u2 Settings.exe"; add -ddraw command switch (or you may use the installed file "s2u2 Settings(dd).lnk",
 but it assumes the installed path is \Program Files\S2U2")
 3. run it
 4. check option "Direct Draw" (at the bottom) is turned on
 5. save the settings & run S2U2
- some minor bugs fixed

v0.85 (17-11-2007)
- added a few more locations support to CallerID
- fixed the "unknown" Caller
- fixed the call waiting issue
- some minor bugs fixed

v0.83 (15-11-2007)
- reworked the CallerID function
- added option Slide2Answer (only effective when CallerID is enabled & the device is locked;
 to answer the call - slide the green button; to end - press the end button or the power button;
 to mute - press the volume up/down buttons)
- added command switch -reset for iLock2 to reset the unread counts of SMS, MMS, email & vmail
 (make sure you know they all should be zero before run it)
- for Korean devices, removed the default SMS patch. To apply the patch, add a registry key KoreanSMSpatch (DWORD) & set it to 1
- some minor bugs fixed
- more FAQs added in the ReadMe.txt

v0.81 (10-11-2007)
- added "s2u2 Settings.exe" for changing the settings of S2U2
- iLock2.exe no longer need to use the notification database
- when the screen is locked, only touch/move the slider will reset the idle time
- added option ACBlankOnTalk (similar to BlankOnTalk, but only effective when connected to external power)
- added the SMS unread count for Korean devices
- the CAB installation will not overwrite the previous settings of S2U2
- some minor bugs fixed

v0.72 (30-10-2007)
- added a few more locations support to CallerID
- added international languages support (for non-English devices, d/l the S2U2LanguagePack.rar; extract your language's ini file;
 rename it to lang.ini; copy to the S2U2 installed folder; restart iLock2)
- fixed the unmapping issue of keyboard on unlock
- some minor bugs fixed
- more FAQs added in the ReadMe.txt

v0.70 (26-10-2007)
- added opton CallerID to have a full screen or thumbnail caller pic
- when CallerID is enabled, & when a call is missed, a "Missed Call" will show who made that
- added support to 320 x 320 devices
- smoother start-up
- some bugs fixed

v0.60 (22-10-2007)
- changed the clock files format (all under GFX\Clock) for easier customisation
 (for transparent effect, the top left corner pixel must be the transparent color)
 (For hi-res devices, please extract files from either vclock.zip or vclockH.zip & copy them to \GFX\Clock under the installed path.
 Otherwise the clock will be shown as half-sized.)
- fixed the background power interuption problem
- do not start S2U2 when the LCD is turned off
- smoother start-up
- some bugs fixed

v0.53 (17-10-2007)
- added option ShowAlarm to show the coming system alarm info
- added a little animation when the device is charging
- fixed the "Flight Mode" issue for Treo
- some minor bugs fixed

v0.52 (14-10-2007)
- ShowAppointment also shows "all day event" (but only the 1st one)
- reworked the "Flight Mode / No Service" detection
- fixed the WVGA display defect in Landscape mode
- fixed Autostart to work with soft-key power off
- some bugs fixed

v0.5 (11-10-2007)
- added Landscape orientation (the wallpaper file is wallpaperL.bmp under GFX folder)
- added auto power saving as S2U (i.e. the shimmer will stop after idle for a while)
- added an icon for S2U2
- added Unread XXX notifications & ShowTask option
- added options ShowAppointment & AppointmentTimeFormat
(read the Configuration section below for the details)
- no more AC_XXX.bmp temp files
- all texts are VGA aware
- some graphic improvements on VGA mode
- fixed the problem with other Alarm software

v0.3 (29-9-2007)
- added option DpadOn
- fixed some devices that cannot slide the arrow button
- increased the arrow button's sensitivity a little
- super fast loading time of S2U2

v0.2 (25-9-2007)
- support square & VGA devices (native high resolution wallpaper is also supported)

v0.1
- rewrite the whole application in C++
- trim down the memory usage to around 1M
- support QVGA devices only
- support Portrait & Landscape mode
- back to basic version (no Caller ID; no unread xxx notifications & others)